Subject: Re: Bug: build is broken on FreeBSD if libsysinfo is installed

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Jul 2025 10:08:37 -0700

Renato Botelho <[email-masked]> writes:

>> I very quickly knocked up a patch to do the last option above (I
>> moved
>> the setting of HAVE_SYSINFO down the file rather that HAVE_BSD_SYSCTL
>> up. I guess it doesn't matter, but I gave it *no* thought!).
>> The patch is below. (I didn't write a commit message ;) ).
>> Does this work for you?
>
> Your patch works just fine for FreeBSD.  I tried it with libsysinfo
> installed and it just ignored it, as expected.
>
> I didn't test meson build since FreeBSD ports is based on autotools yet.
>
> BTW, should I start moving the port to meson?  Is it the default build
> method now?  Is there a plan to remove autotools?
>
> Thank you!

So we have a bit of loose end that needs a finishing touch, but
otherwise we are good to go?

Thanks, both.